### Name: omega
### Title: Calculate McDonald's omega estimates of general and total factor
###   saturation
### Aliases: omega
### Keywords: multivariate models

### ** Examples

## Not run: 
##D test.data <- Harman74.cor$cov
##D if(!require(GPArotation) {message("Omega requires GPA rotation" )} else {my.omega <- omega(test.data,3)       
##D print(my.omega,digits=2)
##D }
##D #create 9 variables with a hierarchical structure
##D jen.data <- sim.hierarchical()
##D #with correlations of
##D jen.data
##D #find omega 
##D #if(require(Rgraphviz)) {jen.omega <- omega(jen.data,digits=2)} else {
##D jen.omega <- omega(jen.data,digits=2,plot=FALSE)
##D jen.omega
##D 
##D #create 8 items with a two factor solution, showing the use of the flip option
##D sim2 <- item.sim(8)
##D omega(sim2)   #an example of misidentification-- remember to look at the loadings matrices.
##D omega(sim2,2)  #this shows that in fact there is no general factor
##D omega(sim2,2,option="first") #but, if we define one of the two group factors as a general factor, we get a falsely high omega 
##D #apply omega to analyze 6 mental ability tests 
##D data(ability.cov)   #has a covariance matrix
##D #if(require(Rgraphviz)) {omega(ability.cov$cov)} else omega(ability.cov$cov,plot=FALSE)
##D }
## End(Not run)



